<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class hk.quantr.mxgraph.swing.util.mxGraphTransferable (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hk.quantr.mxgraph.swing.util.mxGraphTransferable (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hk.quantr.mxgraph.swing.util.mxGraphTransferable" class="title">Uses of Class<br>hk.quantr.mxgraph.swing.util.mxGraphTransferable</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing.handler">hk.quantr.mxgraph.swing.handler</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for mouse event handling in
  JFC/Swing.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing.handler">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a> in <a href="../../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> that return <a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../../handler/mxGraphTransferHandler.html#createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D,hk.quantr.mxgraph.util.mxRectangle,javax.swing.ImageIcon)">createGraphTransferable</a></span>&#8203;(<a href="../../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells,
                       <a href="../../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                       javax.swing.ImageIcon&nbsp;icon)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../../handler/mxGraphTransferHandler.html#createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D,javax.swing.ImageIcon)">createGraphTransferable</a></span>&#8203;(<a href="../../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells,
                       javax.swing.ImageIcon&nbsp;icon)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> with parameters of type <a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../../handler/mxGraphTransferHandler.html#getDropTarget(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">getDropTarget</a></span>&#8203;(<a href="../../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
             <a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</code></th>
<td class="colLast">
<div class="block">Returns the drop target for the given transferable and location.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../../handler/mxGraphTransferHandler.html#importCells(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable,double,double)">importCells</a></span>&#8203;(<a href="../../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
           <a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt,
           double&nbsp;dx,
           double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Gets a drop target using getDropTarget and imports the cells using
 mxGraph.splitEdge or mxGraphComponent.importCells depending on the
 drop target and the return values of mxGraph.isSplitEnabled and
 mxGraph.isSplitTarget.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../../handler/mxGraphTransferHandler.html#importGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">importGraphTransferable</a></span>&#8203;(<a href="../../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       <a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</code></th>
<td class="colLast">
<div class="block">Returns true if the cells have been imported using importCells.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
